Bug 894610 - Review Request: coin-or-Sample - Coin-or Sample data files
Review Request: coin-or-Sample - Coin-or Sample data files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 894585
  Show dependency treegraph
 
Reported: 2013-01-12 11:12 EST by Paulo Andrade
Modified: 2013-01-28 10:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:18:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
loganjerry: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 11:12:58 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample-1.2.3-1.fc19.src.rpm
Description: Coin-or Sample data files.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 11:18:33 EST
This package would be useful for (make check) of these
review requests:

https://bugzilla.redhat.com/show_bug.cgi?id=894585	CoinUtils
https://bugzilla.redhat.com/show_bug.cgi?id=894586	Osi
https://bugzilla.redhat.com/show_bug.cgi?id=894587	Clp
https://bugzilla.redhat.com/show_bug.cgi?id=894588	Cgl
https://bugzilla.redhat.com/show_bug.cgi?id=894589	Alps
https://bugzilla.redhat.com/show_bug.cgi?id=894591	Bcps
https://bugzilla.redhat.com/show_bug.cgi?id=894593	Vol
https://bugzilla.redhat.com/show_bug.cgi?id=894594	Bcp
https://bugzilla.redhat.com/show_bug.cgi?id=894596	Blis
https://bugzilla.redhat.com/show_bug.cgi?id=894597	Cbc
https://bugzilla.redhat.com/show_bug.cgi?id=894598	DyLP
https://bugzilla.redhat.com/show_bug.cgi?id=894599	CoinMP
https://bugzilla.redhat.com/show_bug.cgi?id=894600	cppad
https://bugzilla.redhat.com/show_bug.cgi?id=894602	Dip
https://bugzilla.redhat.com/show_bug.cgi?id=894603	FlopC++
https://bugzilla.redhat.com/show_bug.cgi?id=894604	Ipopt
https://bugzilla.redhat.com/show_bug.cgi?id=894605	Bonmin
https://bugzilla.redhat.com/show_bug.cgi?id=894606	Couenne
https://bugzilla.redhat.com/show_bug.cgi?id=894608	SYMPHONY
https://bugzilla.redhat.com/show_bug.cgi?id=894609	OS

but those were changed to not depend on it.

It is blocked by FE-LEGAL because it contains several data
files that upstream lost track of original authors. Note
that this is result of upstream doing a complete audit of
its sources. These data files (test cases input) are mostly
very simple, and licensecheck does not trigger them due to
the "non standard" file extension.
Comment 2 Tom "spot" Callaway 2013-01-13 11:25:31 EST
Well, without even looking at this, the obvious question is:

Since these files are test-case input, can you simply remove the license unclear data files and disable those test cases?
Comment 3 Paulo Andrade 2013-01-13 12:24:09 EST
  All of the files have no license information, and %check is
disabled in all of the coin-or-* review requests.
  I was not even going to open this review request, but changed
my mind :-) Depending on how things go, I can change the spec
in the other review requests to "BuildRequires: coin-or-Sample",
this for the sake of running %check, and possibly triggering
some bad build in the future or in another arch.
Comment 4 Tom "spot" Callaway 2013-01-14 15:01:37 EST
After consulting with Red Hat Legal, since these files only contain mathematical formulas, it is safe to treat them as being in the Public Domain.

Mark this package as:

License: Public Domain

Lifting FE-Legal.
Comment 5 Paulo Andrade 2013-01-14 15:15:01 EST
(In reply to comment #4)
> After consulting with Red Hat Legal, since these files only contain
> mathematical formulas, it is safe to treat them as being in the Public
> Domain.
> 
> Mark this package as:
> 
> License: Public Domain
> 
> Lifting FE-Legal.

Thanks! Updated package:

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample-1.2.3-2.fc19.src.rpm
Comment 6 Jerry James 2013-01-15 11:58:19 EST
I will review this package.  If bug 872020 isn't too complicated, I'd love to have it reviewed.  It is the last external numeric polymake tool with a license that allows it into Fedora that isn't already in Fedora.  And I'm *this close* to having a workable polymake package...

Paulo, I maintain the csdp package, which is from coin-or.  I don't think it is involved in the suite of packages you are working on, but if I happen to be wrong about that, let me know.
Comment 7 Paulo Andrade 2013-01-15 12:09:00 EST
What I did at first is to package the contents of the CoinAll
monolithic package, as upstream suggested to make a package
for every component instead of a splitting from the all in
one tarball.
It should not hurt to have it provide coin-or-Csdp to match the
pattern I am using (again, as suggested by upstream), but right
now there is no direct dependency from the set of coin-or
packages I made review requests.
Comment 8 Jerry James 2013-01-15 12:38:40 EST
Issues, in no particular order:
1. The summary is, I think, unhelpful.  Consider making the summary contain
   the same text as the description.
2. As rpmlint notes, this noarch package uses the %{_libdir} macro.
   That doesn't really make sense: the whole point of a noarch package is that
   it can be installed on *any* arch.  So are the contents of the package
   going to be installed into /usr/lib or /usr/lib64?  It has to be the same
   on every system.

   For this package, it is probably better to put the pkgconfig file in
   %{_datadir}/pkgconfig instead.  You can probably just use sed or perl to
   change the definition of pkgconfiglibdir in Makefile.in to be
   $(datadir)/pkgconfig.  (I haven't actually tried that.)
3. Rpmlint also complains about the pkgconfig file not being in -devel.  Since
   this package is intended to be used only for testing other packages, it
   essentially is a -devel package, so we can ignore that.
4. It might be a good idea to capture part of comment 4 into a file to be
   included in %doc as the equivalent of a COPYING file.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/jamesjer/894610-coin-or-Sample/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     Perhaps including Tom's comment is sufficient.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: coin-or-Sample-1.2.3-2.fc19.noarch.rpm :
     /usr/lib/pkgconfig/coindatasample.pc
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Sample-1.2.3.tgz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: coin-or-Sample-1.2.3-2.fc19.noarch.rpm
          coin-or-Sample-1.2.3-2.fc19.src.rpm
coin-or-Sample.noarch: W: no-documentation
coin-or-Sample.noarch: W: devel-file-in-non-devel-package /usr/lib/pkgconfig/coindatasample.pc
coin-or-Sample.src:28: W: libdir-macro-in-noarch-package (main package) %{_libdir}/pkgconfig/*
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Sample
coin-or-Sample.noarch: W: no-documentation
coin-or-Sample.noarch: W: devel-file-in-non-devel-package /usr/lib/pkgconfig/coindatasample.pc
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Sample-1.2.3-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    /usr/bin/pkg-config



Provides
--------
coin-or-Sample-1.2.3-2.fc19.noarch.rpm:

    coin-or-Sample = 1.2.3-2.fc19
    pkgconfig(coindatasample) = 1.2.3



MD5-sum check
-------------
http://www.coin-or.org/download/source/Data/Sample-1.2.3.tgz :
  CHECKSUM(SHA256) this package     : 89980068fc00acc4bb32b32b7911f6077f208be0786f3dfb687f6de84089ff47
  CHECKSUM(SHA256) upstream package : 89980068fc00acc4bb32b32b7911f6077f208be0786f3dfb687f6de84089ff47


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 894610 -m fedora-rawhide-i386
Comment 9 Paulo Andrade 2013-01-15 19:36:37 EST
I can rename add a coin-or-Sample-devel subpackage, and make
coin-or-Sample a package with no files. It does not propagate
much because only coin-or-CoinUtils-devel requires coin-or-Sample,
but I think in this case better to ignore the rpmlint warning.

Good catch in the pkgconfig in libdir.

Update:

- Add a more descriptive summary (#894610#c8)
- Install pkgconfig files to noarch directory (#894610#c8)
- Install a COPYING file to justify Public Domain license (#894610#c8)

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample-1.2.3-3.fc19.src.rpm
Comment 10 Jerry James 2013-01-16 13:11:43 EST
Two more things to fix.  First, make the bug summary match the new summary in the spec file.  I've had problems at git creation time when those didn't match.  Second, change "cp %{SOURCE1} ." to "cp -p %{SOURCE1} ." to preserve the timestamp on COPYING.

Just do that before importing into git.  This package is APPROVED.
Comment 11 Paulo Andrade 2013-01-16 14:11:54 EST
For the sake of correctness, did the suggested changes before
asking for scm.

- Preserve timestamp of COPYING (#894610#c10)

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Sample-1.2.3-4.fc19.src.rpm
Comment 12 Paulo Andrade 2013-01-16 14:24:20 EST
New Package SCM Request
=======================
Package Name: coin-or-Sample
Short Description: Coin-or Sample data files
Owners: pcpa
Branches: f18
InitialCC: pcpa
Comment 13 Jon Ciesla 2013-01-16 14:30:01 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-01-16 15:22:48 EST
coin-or-Sample-1.2.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/coin-or-Sample-1.2.3-4.fc18
Comment 15 Fedora Update System 2013-01-19 22:33:32 EST
coin-or-Sample-1.2.3-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-01-28 10:18:22 EST
coin-or-Sample-1.2.3-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.